# CRPS version for climatology 
CRPS_clim <- function(obs, memb_dim ='ensemble', return_mean = TRUE){  
  time_dim <- names(dim(obs))
  obs_time_len <- dim(obs)[time_dim]
  
  ## cross-validation: https://earth.bsc.es/gitlab/es/s2dv/-/blob/master/R/CRPSS.R#L252
  
  ref <- array(data = rep(obs, each = obs_time_len), dim = c(obs_time_len, obs_time_len))
  names(dim(ref)) <- c(time_dim, memb_dim)
  # ref: [sdate, memb]
  # obs: [sdate]
  crps_ref <- s2dv:::.CRPS(exp = ref, obs = obs, time_dim = time_dim, memb_dim = memb_dim,
                           dat_dim = NULL, Fair = FALSE)
  
  # crps_ref should be [sdate]
  if (return_mean == TRUE) {
    return(mean(crps_ref)) 
  } else {
    return(crps_ref)
  }
}
